gSendParentMessage-class {MVCClass} | R Documentation

## Class "gSendParentMessage": A class to represent a send parent MVC message

### Description

gSendParentMessage is a class to represent a send parent MVC message. Whenever a model is updated and that model has a parent MVC, then an object of this class will be created to notify the parent MVC that a child model was updated. gUpdateParentMessage inherits from the virtual class, gMessage. The initialize and handleMessage methods will be defined in other packages that use this class (for example, the iSNetwork package).

### Objects from the Class

Objects can be created by calls of the form `new("gSendParentMessage", ...)`. The initialize method for this class will be created in other packages that use this package (for example, the initialize method will be created in the iSNetwork package).

### Slots

`childUpdateDataMessage`:
  an object of class gUpdateDataMessage that was used to update the child model (MVC)

### Extends

Class `"gMessage"`, directly.

### Methods

childUpdateDataMessage<-
  Sets the `childUpdateDataMessage` slot
childUpdateDataMessage
  Returns the `childUpdateDataMessage` slot

### Author(s)

Elizabeth Whalen

### See Also

`gSendChildMessage-class`, `gMessage-class`

### Examples

[Package MVCClass version 1.10.0 Index]